$NetBSD: patch-ax,v 1.4 2004/03/21 07:35:17 minskim Exp $

--- configure.orig	2003-04-15 01:17:16.000000000 -0500
+++ configure
@@ -8899,18 +8899,18 @@ fi
 
 echo "Using imon support module $IMON_FUNCS"
 
-if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for sys/statvfs.h" >&5
-echo $ECHO_N "checking for sys/statvfs.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
+if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for sys/syssgi.h" >&5
+echo $ECHO_N "checking for sys/syssgi.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_statvfs_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_statvfs_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_syssgi_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_syssgi_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking sys/statvfs.h usability" >&5
-echo $ECHO_N "checking sys/statvfs.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/syssgi.h usability" >&5
+echo $ECHO_N "checking sys/syssgi.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -8919,7 +8919,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <sys/statvfs.h>
+#include <sys/syssgi.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -8945,8 +8945,8 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking sys/statvfs.h presence" >&5
-echo $ECHO_N "checking sys/statvfs.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/syssgi.h presence" >&5
+echo $ECHO_N "checking sys/syssgi.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -8954,7 +8954,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/statvfs.h>
+#include <sys/syssgi.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -8987,10 +8987,10 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: sys/statvfs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/syssgi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9001,12 +9001,12 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
   no:yes )
-    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: sys/statvfs.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: sys/statvfs.h: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/syssgi.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/syssgi.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9017,42 +9017,42 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for sys/statvfs.h" >&5
-echo $ECHO_N "checking for sys/statvfs.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
+echo "$as_me:$LINENO: checking for sys/syssgi.h" >&5
+echo $ECHO_N "checking for sys/syssgi.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_sys_statvfs_h=$ac_header_preproc
+  ac_cv_header_sys_syssgi_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_statvfs_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_statvfs_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_syssgi_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_syssgi_h" >&6
 
 fi
-if test $ac_cv_header_sys_statvfs_h = yes; then
+if test $ac_cv_header_sys_syssgi_h = yes; then
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_STATVFS 1
+#define HAVE_SYSSGI 1
 _ACEOF
- have_statvfs="yes"
+
 else
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_STATVFS 0
+#define HAVE_SYSSGI 0
 _ACEOF
- have_statvfs="no"
+
 fi
 
 
-if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for sys/syssgi.h" >&5
-echo $ECHO_N "checking for sys/syssgi.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
+if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for sys/fs/nfs_clnt.h" >&5
+echo $ECHO_N "checking for sys/fs/nfs_clnt.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_syssgi_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_syssgi_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_fs_nfs_clnt_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_fs_nfs_clnt_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking sys/syssgi.h usability" >&5
-echo $ECHO_N "checking sys/syssgi.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/fs/nfs_clnt.h usability" >&5
+echo $ECHO_N "checking sys/fs/nfs_clnt.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -9061,7 +9061,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <sys/syssgi.h>
+#include <sys/fs/nfs_clnt.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -9087,8 +9087,8 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking sys/syssgi.h presence" >&5
-echo $ECHO_N "checking sys/syssgi.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/fs/nfs_clnt.h presence" >&5
+echo $ECHO_N "checking sys/fs/nfs_clnt.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -9096,7 +9096,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/syssgi.h>
+#include <sys/fs/nfs_clnt.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -9129,10 +9129,10 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: sys/syssgi.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/fs/nfs_clnt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9143,12 +9143,12 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
   no:yes )
-    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: sys/syssgi.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: sys/syssgi.h: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/syssgi.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/fs/nfs_clnt.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/fs/nfs_clnt.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9159,42 +9159,50 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for sys/syssgi.h" >&5
-echo $ECHO_N "checking for sys/syssgi.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_syssgi_h+set}" = set; then
+echo "$as_me:$LINENO: checking for sys/fs/nfs_clnt.h" >&5
+echo $ECHO_N "checking for sys/fs/nfs_clnt.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_sys_syssgi_h=$ac_header_preproc
+  ac_cv_header_sys_fs_nfs_clnt_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_syssgi_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_syssgi_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_fs_nfs_clnt_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_fs_nfs_clnt_h" >&6
 
 fi
-if test $ac_cv_header_sys_syssgi_h = yes; then
+if test $ac_cv_header_sys_fs_nfs_clnt_h = yes; then
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_SYSSGI 1
+#define HAVE_SYS_FS_NFS_CLNT_H 1
 _ACEOF
 
 else
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_SYSSGI 0
+#define HAVE_SYS_FS_NFS_CLNT_H 0
 _ACEOF
 
 fi
 
 
-if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for sys/fs/nfs_clnt.h" >&5
-echo $ECHO_N "checking for sys/fs/nfs_clnt.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
+
+if test `uname` != 'IRIX' && test `uname` != 'IRIX64'; then
+    cat >>confdefs.h <<\_ACEOF
+#define HAVE_STATVFS 0
+_ACEOF
+
+    have_statvfs="no"
+else
+    if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for sys/statvfs.h" >&5
+echo $ECHO_N "checking for sys/statvfs.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_fs_nfs_clnt_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_fs_nfs_clnt_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_statvfs_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_statvfs_h" >&6
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking sys/fs/nfs_clnt.h usability" >&5
-echo $ECHO_N "checking sys/fs/nfs_clnt.h usability... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/statvfs.h usability" >&5
+echo $ECHO_N "checking sys/statvfs.h usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -9203,7 +9211,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <sys/fs/nfs_clnt.h>
+#include <sys/statvfs.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -9229,8 +9237,8 @@ echo "$as_me:$LINENO: result: $ac_header
 echo "${ECHO_T}$ac_header_compiler" >&6
 
 # Is the header present?
-echo "$as_me:$LINENO: checking sys/fs/nfs_clnt.h presence" >&5
-echo $ECHO_N "checking sys/fs/nfs_clnt.h presence... $ECHO_C" >&6
+echo "$as_me:$LINENO: checking sys/statvfs.h presence" >&5
+echo $ECHO_N "checking sys/statvfs.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -9238,7 +9246,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <sys/fs/nfs_clnt.h>
+#include <sys/statvfs.h>
 _ACEOF
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
@@ -9271,10 +9279,10 @@ echo "${ECHO_T}$ac_header_preproc" >&6
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc in
   yes:no )
-    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: sys/fs/nfs_clnt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/statvfs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9285,12 +9293,12 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
   no:yes )
-    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: sys/fs/nfs_clnt.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: sys/fs/nfs_clnt.h: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: sys/fs/nfs_clnt.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/statvfs.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/statvfs.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/statvfs.h: proceeding with the preprocessor's result" >&2;}
     (
       cat <<\_ASBOX
 ## ------------------------------------ ##
@@ -9301,37 +9309,29 @@ _ASBOX
       sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-echo "$as_me:$LINENO: checking for sys/fs/nfs_clnt.h" >&5
-echo $ECHO_N "checking for sys/fs/nfs_clnt.h... $ECHO_C" >&6
-if test "${ac_cv_header_sys_fs_nfs_clnt_h+set}" = set; then
+echo "$as_me:$LINENO: checking for sys/statvfs.h" >&5
+echo $ECHO_N "checking for sys/statvfs.h... $ECHO_C" >&6
+if test "${ac_cv_header_sys_statvfs_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_sys_fs_nfs_clnt_h=$ac_header_preproc
+  ac_cv_header_sys_statvfs_h=$ac_header_preproc
 fi
-echo "$as_me:$LINENO: result: $ac_cv_header_sys_fs_nfs_clnt_h" >&5
-echo "${ECHO_T}$ac_cv_header_sys_fs_nfs_clnt_h" >&6
+echo "$as_me:$LINENO: result: $ac_cv_header_sys_statvfs_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_statvfs_h" >&6
 
 fi
-if test $ac_cv_header_sys_fs_nfs_clnt_h = yes; then
+if test $ac_cv_header_sys_statvfs_h = yes; then
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_SYS_FS_NFS_CLNT_H 1
+#define HAVE_STATVFS 1
 _ACEOF
-
+ have_statvfs="yes"
 else
   cat >>confdefs.h <<\_ACEOF
-#define HAVE_SYS_FS_NFS_CLNT_H 0
-_ACEOF
-
-fi
-
-
-
-if test `uname` != 'IRIX' && test `uname` != 'IRIX64'; then
-    cat >>confdefs.h <<\_ACEOF
 #define HAVE_STATVFS 0
 _ACEOF
+ have_statvfs="no"
+fi
 
-    have_statvfs="no"
 fi
 
 echo "$as_me:$LINENO: checking SGI_NOHANG" >&5
@@ -9670,6 +9670,41 @@ _ACEOF
 fi
 
 
+ac_safe=`echo "mntent.h" | sed 'y%./+-%__p_%'`
+echo $ac_n "checking for mntent.h""... $ac_c" 1>&6
+echo "configure:5516: checking for mntent.h" >&5
+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  cat > conftest.$ac_ext <<EOF
+#line 5521 "configure"
+#include "confdefs.h"
+#include <mntent.h>
+EOF
+ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+{ (eval echo configure:5526: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
+if test -z "$ac_err"; then
+  rm -rf conftest*
+  eval "ac_cv_header_$ac_safe=yes"
+else
+  echo "$ac_err" >&5
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_header_$ac_safe=no"
+fi
+rm -f conftest*
+fi
+if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+  cat >> confdefs.h <<\EOF
+#define HAVE_MNTENT_H 1
+EOF
+
+else
+  echo "$ac_t""no" 1>&6
+fi
 echo "$as_me:$LINENO: checking for mountlist struct" >&5
 echo $ECHO_N "checking for mountlist struct... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
@@ -9791,203 +9826,6 @@ fi
 
 
 
-    echo "$as_me:$LINENO: checking mntent.h for MNTTYPE_NFS" >&5
-echo $ECHO_N "checking mntent.h for MNTTYPE_NFS... $ECHO_C" >&6
-    cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <mntent.h>
-int
-main ()
-{
-const char *foo = MNTTYPE_NFS;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  fam_have_decl_in_mntent=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fam_have_decl_in_mntent=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-    echo "$as_me:$LINENO: result: $fam_have_decl_in_mntent" >&5
-echo "${ECHO_T}$fam_have_decl_in_mntent" >&6
-    if test "$fam_have_decl_in_mntent" = "yes"; then
-	:
-    else
-	{ { echo "$as_me:$LINENO: error: Didn't find MNTTYPE_NFS in mntent.h" >&5
-echo "$as_me: error: Didn't find MNTTYPE_NFS in mntent.h" >&2;}
-   { (exit 1); exit 1; }; }
-    fi
-
-
-    echo "$as_me:$LINENO: checking mntent.h for MNTTYPE_NFS2" >&5
-echo $ECHO_N "checking mntent.h for MNTTYPE_NFS2... $ECHO_C" >&6
-    cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <mntent.h>
-int
-main ()
-{
-const char *foo = MNTTYPE_NFS2;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  fam_have_decl_in_mntent=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fam_have_decl_in_mntent=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-    echo "$as_me:$LINENO: result: $fam_have_decl_in_mntent" >&5
-echo "${ECHO_T}$fam_have_decl_in_mntent" >&6
-    if test "$fam_have_decl_in_mntent" = "yes"; then
-	cat >>confdefs.h <<\_ACEOF
-#define HAVE_MNTTYPE_NFS2 1
-_ACEOF
-
-    else
-	:
-    fi
-
-
-    echo "$as_me:$LINENO: checking mntent.h for MNTTYPE_NFS3" >&5
-echo $ECHO_N "checking mntent.h for MNTTYPE_NFS3... $ECHO_C" >&6
-    cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <mntent.h>
-int
-main ()
-{
-const char *foo = MNTTYPE_NFS3;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  fam_have_decl_in_mntent=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fam_have_decl_in_mntent=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-    echo "$as_me:$LINENO: result: $fam_have_decl_in_mntent" >&5
-echo "${ECHO_T}$fam_have_decl_in_mntent" >&6
-    if test "$fam_have_decl_in_mntent" = "yes"; then
-	cat >>confdefs.h <<\_ACEOF
-#define HAVE_MNTTYPE_NFS3 1
-_ACEOF
-
-    else
-	:
-    fi
-
-
-    echo "$as_me:$LINENO: checking mntent.h for MNTTYPE_CACHEFS" >&5
-echo $ECHO_N "checking mntent.h for MNTTYPE_CACHEFS... $ECHO_C" >&6
-    cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <mntent.h>
-int
-main ()
-{
-const char *foo = MNTTYPE_CACHEFS;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  fam_have_decl_in_mntent=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fam_have_decl_in_mntent=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-    echo "$as_me:$LINENO: result: $fam_have_decl_in_mntent" >&5
-echo "${ECHO_T}$fam_have_decl_in_mntent" >&6
-    if test "$fam_have_decl_in_mntent" = "yes"; then
-	cat >>confdefs.h <<\_ACEOF
-#define HAVE_MNTTYPE_CACHEFS 1
-_ACEOF
-
-    else
-	:
-    fi
 
 
 echo "$as_me:$LINENO: checking netinet/in.h for bindresvport()" >&5
